sc::mat3 Class Reference
Collaboration diagram for sc::mat3:
[legend]

## Public Member Functions

| mat3 (const vec3 &v0, const vec3 &v1, const vec3 &v2)
| mat3 (const double d)
| mat3 (const mat3 &m)
mat3 & | operator= (const mat3 &m)
mat3 & | operator+= (const mat3 &m)
mat3 & | operator-= (const mat3 &m)
mat3 & | operator*= (const double d)
mat3 & | operator/= (const double d)
vec3 & | operator[] (int i)
const vec3 & | operator[] (int i) const
mat3 | transpose () const
mat3 | inverse ()
mat3 & | apply (V_FCT_PTR fct)

## Protected Attributes

vec3 | v [3]

## Friends

mat3 | operator- (const mat3 &a)
mat3 | operator+ (const mat3 &a, const mat3 &b)
mat3 | operator- (const mat3 &a, const mat3 &b)
mat3 | operator* (const mat3 &a, const mat3 &b)
mat3 | operator* (const mat3 &a, const double d)
mat3 | operator* (const double d, const mat3 &a)
mat3 | operator/ (const mat3 &a, const double d)
int | operator== (const mat3 &a, const mat3 &b)
int | operator!= (const mat3 &a, const mat3 &b)
std::ostream & | operator<< (std::ostream &s, mat3 &m)
std::istream & | operator>> (std::istream &s, mat3 &m)
void | swap (mat3 &a, mat3 &b)
vec3 | operator* (const mat3 &a, const vec3 &v)
vec2 | operator* (const mat3 &a, const vec2 &v)

The documentation for this class was generated from the following file:

- algebra3.h